
local string Time = ("Addon is Working")
local string Date = ("Addon is Working")
SimpleClock = {}
 
SimpleClock.name = "SimpleClock"

function SimpleClock:Initialize()
	self.inCombat = IsUnitInCombat("player") 
	EVENT_MANAGER:RegisterForEvent(self.name, EVENT_PLAYER_COMBAT_STATE, self.OnPlayerCombatState)
	self.savedVariables = ZO_SavedVars:NewCharacterIdSettings("SimpleClockSavedVariables", 1, nil, {})		--This is all the startup code
	SimpleClock.OnPlayerCombatState()
	self:RestorePosition()
	if SimpleClock.savedVariables.zone ~= nil then
	Zone = SimpleClock.savedVariables.zone
	end
end
 

function SimpleClock.OnAddOnLoaded(event, addonName)

  if addonName == SimpleClock.name then																		--Once loaded tells the addon to use the start up code
    SimpleClock:Initialize()
  end
end
 

EVENT_MANAGER:RegisterForEvent(SimpleClock.name, EVENT_ADD_ON_LOADED, SimpleClock.OnAddOnLoaded)				--Implements action listener to get combat state

function SimpleClock.OnPlayerCombatState(event, inCombat)

  if inCombat ~= SimpleClock.inCombat then
 
    SimpleClock.inCombat = inCombat																			--All the combat state code
 
    if inCombat then

	  SimpleClockIndicatorDate:SetColor(10, 0, 0)
	  SimpleClockIndicatorTime:SetColor(10, 0, 0)
    else

	  Canretarget = (true)
	  
	  SimpleClockIndicatorDate:SetColor(0.77255, 0.76078, 0.61961)
	  SimpleClockIndicatorTime:SetColor(0.77255, 0.76078, 0.61961)
    end
  end
end

function SimpleClock.OnIndicatorMoveStop()
  SimpleClock.savedVariables.left = SimpleClockIndicator:GetLeft()												--After the widget is moved save its position				
  SimpleClock.savedVariables.top = SimpleClockIndicator:GetTop()
end

function SimpleClock:RestorePosition()
  local left = self.savedVariables.left																		--Reloads the widget position
  local top = self.savedVariables.top
  
  SimpleClockIndicator:ClearAnchors()
  SimpleClockIndicator:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, left, top)
  
end

function SimpleClock.Update()																					--Updates the local time. This is the time of the person's personal computer.

		Time = os.date('%H:%M:%S')
		SimpleClockIndicatorTime:SetText(Time)
		Date = os.date('%d/%m/%Y')
		SimpleClockIndicatorDate:SetText(Date)
	
end